summaryrefslogtreecommitdiffstats
path: root/source/n/postfix/postfix.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/postfix/postfix.SlackBuild')
-rwxr-xr-xsource/n/postfix/postfix.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/source/n/postfix/postfix.SlackBuild b/source/n/postfix/postfix.SlackBuild
index b3cbf888e..42ba75f98 100755
--- a/source/n/postfix/postfix.SlackBuild
+++ b/source/n/postfix/postfix.SlackBuild
@@ -2,7 +2,7 @@
#
# Copyright 2006, 2011 Alan Hicks, Lizella, GA
# Copyright 2010, 2011, 2013, 2014, 2015, 2016, 2017 Mario Preksavec, Zagreb, Croatia
-# Copyright 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2017, 2018, 2020, 2022, 2023 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -48,7 +48,7 @@ fi
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-$TMP}
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
@@ -102,6 +102,12 @@ zcat $CWD/postfix.only.warn.regular.files.diff.gz | patch -p1 --verbose || exit
# Make the postfix startup message look more like the other boot notices:
zcat $CWD/postfix.script.starting.message.diff.gz | patch -p1 --verbose || exit 1
+# According to the OpenSSL migration guide:
+# "OpenSSL versions with the same major number are API and ABI compatible. If
+# the major number changes then API and ABI compatibility is not guaranteed."
+# So, stop filling the logs with this when upstream says it's fine.
+zcat $CWD/0001-openssl-micro-mismatch-nowarn.patch.gz | patch -p1 --verbose || exit 1
+
# Postfix does not use a ./configure script (no GNU autoconf)
#
# The AUXLIBS variable is for dynamic library linking, which as of this